Subject: Re: bug#68805: 29.2; Tramp: out-of-band copy-file fails when tramp-copy-keep-date is nil

From: Sean Devlin <[email-masked]>
Date: Thu, 1 Feb 2024 11:52:26 -0500

Hi Michael,

> On Feb 1, 2024, at 11:32 AM, Michael Albinus <[email-masked]> wrote:
> 
> Version: 29.3
> 
> Sean Devlin <[email-masked]> writes:
> 
>> Hi Michael,
> 
> Hi Sean,
> 
>> I can confirm the below patch fixes the issue. Thanks for your help!
> 
> Thanks for the feedback. I've pushed the fix to the repositories. Will
> appear with the next Tramp release on GNU ELPA (2.6.2.2) later this
> month. If there is an Emacs 29.3, it will also contain the fix.
> 
> In Emacs 30.0.50 (Tramp 2.7) this patch isn't needed, because due to
> reorganization of the code, the cache is flushed in time.

Sounds good. Thanks!

> 
>> Regarding the comment, couldn’t some cached file properties (i.e. other than
>> file-exists-p) be wrong even if NEWNAME did already exist? I haven’t really
>> thought this through, just curious.
> 
> Hmm, the comment isn't precise enough, yes. It reflects this bug. But
> the code is.
> 
> If you like to contribute to Tramp (Emacs), send a patch :-)

I would like to, but my current job makes it difficult for me to contribute in this
way. Maybe someday that will change.

For now, I will try to file good bug reports. :)

>> Thanks!
> Best regards, Michael.